| Home | Libraries | People | FAQ | More

## Struct template add_typeof_helper<quantity< unit< Dim1, System1 >, X >, quantity< unit< Dim2, System2 >, Y >>

boost::units::add_typeof_helper<quantity< unit< Dim1, System1 >, X >, quantity< unit< Dim2, System2 >, Y >>

## Synopsis

    // In header: <boost/units/quantity.hpp>

    template<typename Dim1, typename System1, typename Dim2, typename System2,
             typename X, typename Y>
    struct add_typeof_helper<quantity< unit< Dim1, System1 >, X >, quantity< unit< Dim2, System2 >, Y >> {
    };

## Description

for sun CC we need to invoke SFINAE at the top level, otherwise it will silently return int.